cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From duncan_mcl...@blueyonder.co.uk
Subject Using <xsl:include> in stylesheet throwing error
Date Mon, 19 Dec 2005 11:49:39 GMT
Hi

We are currently attempting to move applications from v2.0.4 to v2.1.7 and
have noticed that stylesheets containing xsl:includes are failing where
they functioned perfectly well pre-migration.

The error we get is:

Caused by: org.apache.cocoon.ProcessingException: Unable to get
transformer handler for
file:/usr/local/apache/jakarta-tomcat-5.5.9/webapps/content/content/www.brokerzone.ie/xsl/bzcontent.xsl:
org.apache.excalibur.xml.xslt.XSLTProcessorException: Exception in
creating Transform Handler

Cocoon runs under Tomcat (v5.5.9) in our case.

I have seen a number of threads that suggest that it could be xalan/xsltc
and so have tried changing the transformer type in the sitemap pipeline
from:

<map:transform type="xslt"...
to
<map:transform type="xsltc"...
and have also tried
<map:transform type="xalan"...

however this does not solve the problem.

We have copied the latest xalan & xerces distribution jars to the endorsed
directory of Tomcat to no avail.

Anyone know how we can get round this problem?

Thanks

Duncan


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message